> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a recurring payment

> Creates a new recurring payment plan for one of the partner's companies



## OpenAPI

````yaml /swagger.json post /Payment/Recurring
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Payment/Recurring:
    post:
      tags:
        - Payment
      summary: Create a recurring payment
      description: Creates a new recurring payment plan for one of the partner's companies
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentPlanRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentPlanRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreatePaymentPlanRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreatePaymentPlanResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentPlanResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentPlanResponse'
components:
  schemas:
    CreatePaymentPlanRequest:
      type: object
      properties:
        amount:
          type: integer
          format: int32
        startDate:
          type: string
          format: date
        intervalValue:
          type: integer
          format: int32
        intervalUnit:
          $ref: '#/components/schemas/TimeUnit'
        phoneNumber:
          type: string
          nullable: true
        registrationUserId:
          type: string
          format: uuid
          nullable: true
        companyId:
          type: string
          format: uuid
          nullable: true
        companyReferenceId:
          type: string
          nullable: true
      additionalProperties: false
    CreatePaymentPlanResponse:
      type: object
      properties:
        paymentPlanId:
          type: string
          format: uuid
      additionalProperties: false
    TimeUnit:
      type: object
      properties:
        value:
          type: string
          readOnly: true
        displayName:
          type: string
          readOnly: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````